Description

When using the single-click selection tool to select a point of a points layer, the symbol representing the point must be clicked at the very

center (1x1 rectangle around). When using big symbols to represent points that becomes not very easy.

A customizable tolerance could be used instead.

History

#1 - 2014-09-10 05:37 AM - Nathan Woodrow

I'm not sure that would be a very good solution as you would have to change it all the time depending on the project.  A better solution is a way to cycle

though the selection easy and get the point you need.

#2 - 2014-09-10 07:20 AM - Hugo Mercier

What about big symbols for a point ? You may want to select it by clicking on the symbol, not on their centres. The best would be to be able to click

anywhere on the symbol, rather than modifying the tolerance each time. But since the selection happens at the data level and not at the symbology level, it

is not very easy to implement.

#3 - 2014-09-10 07:16 PM - Leyan Ouyang

Currently, selection uses a hardcoded 10*10 pixel square to select lines and points. It would be quite easy to change this to use the identify radius, which

can be changed in Options-> Map tools.

However, to change it based on symbology seems much more complex.

#4 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
